AnsweredAssumed Answered

Error destroying widget using ArcGIS JS API 3.19

Question asked by mvillemontesrifrance-fr-esridist Employee on Feb 9, 2017

I'm having problem destroying a widget with ArcGIS JS API 3.19 (Dojo 1.11)

I was previously using version 3.16 (Dojo 1.10) and the following worked fine :

this.myWidget.destroyRecursive();

Since I upgraded to Dojo 1.12 I have the following error :

Uncaught TypeError: f.contains is not a function at Object.isDescendant (init.js:97) at Object.<anonymous> (init.js:267) at Object.<anonymous> (init.js:63) at Object.c [as destroy] (init.js:118) at Object.destroyRendering (init.js:353) at Object.n (init.js:157) at Object.destroyRendering (init.js:380) at Object.destroy (init.js:352) at Object.advice (init.js:119) at Object.c [as destroy] (init.js:118)

Any idea what could have changed ?

Outcomes